{
    "attributes": {
        "NOTE": {
            "isGenerated": false,
            "key": "NOTE",
            "origin": "417e0235-b4c2-4381-9355-1386fd23c83b",
            "type": "STRING",
            "value": "The message defined in this test purpose is used in the subsequent test purposes with the snippet name \u2018MSG_SEC_RCV_GENMSG_B\u2019. Only differences to this snippet are mentioned in subsequent test purposes."
        },
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "417e0235-b4c2-4381-9355-1386fd23c83b",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "417e0235-b4c2-4381-9355-1386fd23c83b",
            "type": "STRING",
            "value": "Check that IUT accepts a well-formed Secured GN Beacon signed with the certificate with a circular region validity restriction"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "417e0235-b4c2-4381-9355-1386fd23c83b",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\n\tand the IUT current time is inside the time validity period of CERT_TS_B_AT\r\n\tand the IUT current location is inside the region validity period of CERT_TS_B_AT\r\nensure that\r\n\twhen\r\n\t\tthe IUT is receiving a SecuredMessage\r\n\t\t\tcontaining protocol_version \r\n\t\t\t\tindicating value '2'\r\n\t\t\tand containing header_fields[0]\r\n\t\t\t\tcontaining type \r\n\t\t\t\t\tindicating 'signer_info'\r\n\t\t\t\tand containing signer\r\n\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\tindicating 'certificate'\r\n\t\t\t\t\tand containing certificate (CERT_TS_B_AT)\r\n\t\t\t\t\t\tcontaining subject_info.subject_type\r\n\t\t\t\t\t\t\tindicating 'authorization_ticket'\r\n\t\t\t\t\t\tand containing subject_attributes['verification key'] (KEY)\r\n\t\t\t\t\t\tand containing validity_restrictions['time_start_and_end']\r\n\t\t\t\t\t\t\tindicating CERT_TS_AT_TIME_VALIDITY\r\n\t\t\t\t\t\tand containing validity_restrictions['region']\r\n\t\t\t\t\t\t\tcontaining region\r\n\t\t\t\t\t\t\t\tcontaining region_type\r\n\t\t\t\t\t\t\t\t\tindicating 'circle'\r\n\t\t\t\t\t\t\t\tand containing circular_region\r\n\t\t\t\t\t\t\t\t\tindicating REGION\r\n\t\t\tand containing header_fields [1]\r\n\t\t\t\tcontaining type \r\n\t\t\t\t\tindicating 'generation_time'\r\n\t\t\t\tand containing generation_time\r\n\t\t\t\t\tindicating CURRENT_TIME\r\n\t\t\tand containing header_fields [2]\r\n\t\t\t\tcontaining type \r\n\t\t\t\t\tindicating 'generation_location'\r\n\t\t\t\tand containing generation_location\r\n\t\t\t\t\tindicating position inside the REGION\r\n\t\t\tand containing header_fields[3]\r\n\t\t\t\tcontaining type \r\n\t\t\t\t\tindicating 'its_aid'\r\n\t\t\t\tand containing its_aid\r\n\t\t\t\t\tindicating 'AID_BEACON'\r\n\t\t\tand containing payload_field {\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'signed'\r\n\t\t\t\tand containing data\r\n\t\t\t\t\tindicating length > 0\r\n\t\t\tand containing trailer_fields\r\n\t\t\t\tcontaining trailer_fields[0]\r\n\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\tindicating 'signature'\r\n\t\t\t\t\tand containing signature\r\n\t\t\t\t\t\tverifiable using KEY\r\n\tthen\r\n\t\tthe IUT accepts the message"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "417e0235-b4c2-4381-9355-1386fd23c83b",
            "type": "STRING",
            "value": "in process"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "417e0235-b4c2-4381-9355-1386fd23c83b",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "417e0235-b4c2-4381-9355-1386fd23c83b"
}